﻿local GarrisonDone = ...

if (not GarrisonDone_Varsc) then GarrisonDone_Varsc = {} end

local GarrisonDoneFrame = GarrisonDoneFrame
    


C_Timer.After(25, function() GarrisonDone_CompLogin(toon, when) end)

       -- Set timer for Ore and Herbs Reset --
function GarrisonDone_CompLogin(toon, when)
    -- local time = SecondsToTime(seconds)
	local oldTime = GarrisonDone_Varsc.lastLogout.time
    local oldResetTime = GarrisonDone_Varsc.lastLogout.resetTime
    local rTime = ((GarrisonDone_Varsc.lastLogin.time - oldTime) * 3600)
        GarrisonDone_Varsc.lastLogin = {
			["time"] = time(),
			["resetTime"] = GetQuestResetTime(),
		}
        -- it's more than a day or quest reset timer has popped --
	if (GarrisonDone_Varsc.lastLogin.time - oldTime > 86400 or oldResetTime < GetQuestResetTime()) then
        GarrisonDone_Reset(toon, when);
        DEFAULT_CHAT_FRAME:AddMessage("|cff20ff20My Garrison is Done |cffffff00Ore and Herb Count Daily Reset.")
    elseif (GarrisonDone_Varsc.lastLogin.time - oldTime < 86400) then
        DEFAULT_CHAT_FRAME:AddMessage("|cff20ff20My Garrison is Done |cffffff00 will Reset at 02:00 (am)")
	end
end
  
        -- find and Store Ore and Herbs --
function GarrisonDone_Reset(toon, when)
	local mines = {61, 62, 63}
	local gardens = {29, 136, 137}
    local ores = {8, 13, 18}
	local herbs = {6, 10, 15}
	local ore, herb
	local buildings, myMine, myGarden = C_Garrison.GetBuildings()
	for i = 1, #buildings do
		local buildingID = buildings[i].buildingID
		for k, v in ipairs(mines) do
			if v == buildingID then
				myMine = v
			end
		end
		for k, v in ipairs(gardens) do
			if v == buildingID then
				myGarden = v
			end
		end
	end
	if myMine == 61 then
		GarrisonDone_Varsc.miningLeft = 8;
		GarrisonDone_Varsc.maxMining = 8;
		GarrisonDone_Varsc.hasMine = true;
    elseif myMine == 62 then
		GarrisonDone_Varsc.miningLeft = 13;
		GarrisonDone_Varsc.maxMining = 13;
		GarrisonDone_Varsc.hasMine = true;
    elseif myMine == 63 then
		GarrisonDone_Varsc.miningLeft = 18;
		GarrisonDone_Varsc.maxMining = 18;
		GarrisonDone_Varsc.hasMine = true;
    end
	if myGarden == 29 then
		GarrisonDone_Varsc.herbingLeft = 6;
		GarrisonDone_Varsc.maxHerbing = 6;
		GarrisonDone_Varsc.hasGarden = true;
    elseif myGarden == 136 then
		GarrisonDone_Varsc.herbingLeft = 10;
		GarrisonDone_Varsc.maxHerbing = 10;
		GarrisonDone_Varsc.hasGarden = true;
    elseif myGarden == 137 then
		GarrisonDone_Varsc.herbingLeft = 15;
		GarrisonDone_Varsc.maxHerbing = 15;
		GarrisonDone_Varsc.hasGarden = true;
	end
end
