﻿local GarrisonDone = ...

if (not GarrisonDone_Varsm) then GarrisonDone_Varsm = {} end

if (not GarrisonDoneFrame) then GarrisonDoneFrame = GarrisonDoneFrame end
    
local DEBUG = false;

local playerName = UnitName("player");

C_Timer.After(20, function() GarrisonDone_minimap(self, mgdldb) end)
                        
            -- LDB LAUNCHER and LDB MINIMAP ICON --
local GarrisonDone_Varsc = _G.GarrisonDone_Varsc
local GarrisonDone_Varsf = _G.GarrisonDone_Varsf
local GarrisonDone_Varsm = _G.GarrisonDone_Varsm
local GarrisonDone_Vars = _G.GarrisonDone_Vars
local mgdldb = LibStub:GetLibrary("LibDataBroker-1.1")
local icon = LibStub("LibDBIcon-1.0")

        
            -- LDB --    
local mgdldb = LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("GarrisonDone", {
            type = "data source",
	        text = "My Garrison",
            label = "My Garrison",
            tocname = "GarrisonDone",
            icon = "Interface\\AddOns\\GarrisonDone\\images\\MGDL.tga",
            OnClick = function(self, button, ...)
            if (button == "LeftButton") then
		    if GarrisonDoneFrame:IsShown() then
                GarrisonDoneFrame:Hide()
                GarrisonDoneOptEditFrame:Hide();
                GarrisonDoneEditFrame:Hide();
                GarrisonDoneBuildFrame:Hide();
                GarrisonDoneBuildScrollFrame:Hide();
                GarrisonDoneAltsFrame:Hide();
                GarrisonDoneAltsScrollFrame:Hide();
                MGD_IntButton:Hide();
                MGD_LdbButton:Hide();
                GarrisonDoneLdbEditFrame:Hide();
                GarrisonDoneOptEditFrame:Hide();
                GarrisonDoneFollowersFrame:Hide();
                GarrisonDoneFollowersScrollFrame:Hide();
            else
                PanelTemplates_SetTab(GarrisonDoneFrame, 1);
                GarrisonDoneFrame:Show()
                GarrisonDoneEditFrame:Show();
                MGD_FollowersButton:Show();
                GarrisonDoneBuildFrame:Hide();
                GarrisonDoneBuildScrollFrame:Hide();
                GarrisonDoneAltsFrame:Hide();
                GarrisonDoneAltsScrollFrame:Hide();
                MGD_IntButton:Hide();
                MGD_LdbButton:Hide();
                GarrisonDoneLdbEditFrame:Hide();
                GarrisonDoneOptEditFrame:Hide();
                GarrisonDoneFollowersFrame:Hide();
                GarrisonDoneFollowersScrollFrame:Hide();
                end
       	    elseif (button == "RightButton") then
                if GarrisonDoneLdbEditFrame:IsShown() then
                PanelTemplates_SetTab(GarrisonDoneFrame, 1);
			    GarrisonDoneEditFrame:Show();
                GarrisonDoneBuildFrame:Hide();
                GarrisonDoneBuildScrollFrame:Hide();
                GarrisonDoneAltsFrame:Hide();
                GarrisonDoneAltsScrollFrame:Hide();
                MGD_IntButton:Hide();
                MGD_LdbButton:Hide();
                GarrisonDoneLdbEditFrame:Hide();
                GarrisonDoneOptEditFrame:Hide();
                GarrisonDoneFollowersFrame:Hide();
                GarrisonDoneFollowersScrollFrame:Hide();
            else
                GarrisonDoneFrame:Show()
                GarrisonDoneLdbEditFrame:Show();
                MGD_IntButton:Show();
                MGD_LdbButton:Hide();
                GarrisonDoneOptEditFrame:Hide();
                GarrisonDoneEditFrame:Hide();
                MGD_FollowersButton:Hide();
                GarrisonDoneBuildFrame:Hide();
                GarrisonDoneBuildScrollFrame:Hide();
                GarrisonDoneAltsFrame:Hide();
                GarrisonDoneAltsScrollFrame:Hide();
                GarrisonDoneFollowersFrame:Hide();
                GarrisonDoneFollowersScrollFrame:Hide();
                GarrisonDone_OptionsOnShow(self);
            end
         end
    end
		    
    })
     
  
        -- Tablet --
        
        local mgdldb_tablet	= AceLibrary("Tablet-2.0")
        local mgdldb_frame	= CreateFrame("frame")
        local GarrisonDone_Varsc = _G.GarrisonDone_Varsc
        
        -- Update Tablet Data --        
function mgdldb:Update()   
            local GarrisonDone_Varsc = _G.GarrisonDone_Varsc
            local GarrisonDone_Varsm = _G.GarrisonDone_Varsm
            local GarrisonDone_Varsf = _G.GarrisonDone_Varsf
            local GarrisonDone_Vars = _G.GarrisonDone_Vars
		    
            mgdldb_tablet:SetHint("|cffffd200Left|r |cffffff00Click for My Garrison Panel. |cffffff00Right Click for LDB Options. |cffffff00Shift Right Click to Move MGD Button.")
            
            mgdldb_tablet:SetTitle("|cffffffff"..playerName.."'s Garrison|r")
            
            -- START GARRISON DATA --
            
            cat = mgdldb_tablet:AddCategory('id1', 'garrison1', 'columns', 1, 'text', "")
                cat:AddLine(
                'text', "  -------------------------   ",
                'justify', "CENTER"
                )
                cat:AddLine(
					'text', "|cff53aafcHINT: |cffffd200Left|r |cffffff00Click for My Garrison Panel. |cffffff00Right Click for LDB Options. |cffffff00Shift Right Click to Move MGD Button.",
					'wrap', true
				)
                cat:AddLine(
                'text', "  -------------------------   ",
                'justify', "CENTER"
                )
       
            -- Assign Local Variables straight from Blizz frame --
            local missionsldb = C_Garrison.GetInProgressMissions()
    
            -- Max Followers --
            local maxFollowersldb = C_Garrison.GetFollowerSoftCap(LE_FOLLOWER_TYPE_GARRISON_6_0);
            local maxShipsldb = C_Garrison.GetFollowerSoftCap(LE_FOLLOWER_TYPE_SHIPYARD_6_2);
    
            -- Active Followers --
            local numActiveFollowersldb = C_Garrison.GetNumActiveFollowers(LE_FOLLOWER_TYPE_GARRISON_6_0);
            local numActiveShipsldb = C_Garrison.GetNumActiveFollowers(LE_FOLLOWER_TYPE_SHIPYARD_6_2);
    
            -- Missions Available --
            local AvailableItemsldb = C_Garrison.GetAvailableMissions(LE_FOLLOWER_TYPE_GARRISON_6_0);
            local shipMissionsldb = C_Garrison.GetAvailableMissions(LE_FOLLOWER_TYPE_SHIPYARD_6_2);
    
            -- Missions Complete --
            local completeMissionsldb = C_Garrison.GetCompleteMissions(LE_FOLLOWER_TYPE_GARRISON_6_0);
            local shipCompleteldb = C_Garrison.GetCompleteMissions(LE_FOLLOWER_TYPE_SHIPYARD_6_2);
            
            -- Ship Missions in Progress --
            local ldbsitems = C_Garrison.GetInProgressMissions(LE_FOLLOWER_TYPE_SHIPYARD_6_2);
            local ldbshipmis = 0;
            for i = 1, #ldbsitems do
            if (ldbsitems[i].followerTypeID == 2) then
                        ldbshipmis = ldbshipmis + 1
                end
            end        
            local ldbmips = ldbshipmis - #shipCompleteldb
            
            -- Missions in Progress --
            local ldbitems = C_Garrison.GetLandingPageItems(LE_FOLLOWER_TYPE_GARRISON_6_0);
            local ldbmip = (#ldbitems - ldbshipmis) - #completeMissionsldb;
            
            -- Find all our Followers/Ships and Set Status --
            local ldbfollowers = C_Garrison.GetFollowers(LE_FOLLOWER_TYPE_GARRISON_6_0);
            local ldbships = C_Garrison.GetFollowers(LE_FOLLOWER_TYPE_SHIPYARD_6_2);
    
                -- Followers working --
            local ldbwork = 0;
            for i = 1, #ldbfollowers do
	        if ( ldbfollowers[i].status == GARRISON_FOLLOWER_WORKING) then
		        ldbwork = ldbwork + 1;
                end
            end
                -- Followers on Missions --
            local ldbgfm = 0;
            for i = 1, #ldbfollowers do
	            if ( ldbfollowers[i].status == GARRISON_FOLLOWER_ON_MISSION) then
		            ldbgfm = ldbgfm + 1;
                end
            end
                -- Ships on Missions --
            local ldbatSea = 0;
            for i = 1, #ldbships do
	            if ( ldbships[i].status == GARRISON_FOLLOWER_ON_MISSION) then
		            ldbatSea = ldbatSea + 1;
                end
            end
            
            local ldbfBusy = ldbgfm + ldbwork;
            local ldbavailable = numActiveFollowersldb - ldbfBusy;
            local ldbharbour = numActiveShipsldb - ldbatSea;
            
                -- Garrison Resources --
            local _, currentAmount, _, _, _, _, _ = GetCurrencyInfo(824);
            local _, currAmount, _, _, _, _, _ = GetCurrencyInfo(1101);
    
                -- Mining Nodes --
            local ore = 0;
            if GarrisonDone_Varsc.hasMine == true then
		        if GarrisonDone_Varsc.miningLeft > 0 then
		        ore = format("%s", GarrisonDone_Varsc.miningLeft)
                tonumber(ore)
		        end
            end
            local ores = 0;
            if GarrisonDone_Varsc.hasMine == true then
		        if GarrisonDone_Varsc.maxMining > 0 then
		        ores = format("%s", GarrisonDone_Varsc.maxMining)
                tonumber(ores)
		        end
	        end 
                -- Herb Nodes --
            local herb = 0;
            if GarrisonDone_Varsc.hasGarden == true then
    	        if GarrisonDone_Varsc.herbingLeft > 0 then
		        herb = format("%s", GarrisonDone_Varsc.herbingLeft)
                tonumber(herb)
		        end
	        end 
            local herbs = 0;
            if GarrisonDone_Varsc.hasGarden == true then
		        if GarrisonDone_Varsc.maxHerbing > 0 then
		        herbs = format("%s", GarrisonDone_Varsc.maxHerbing)
                tonumber(herbs)
                
                            end
                        end
		                        
                
            
                -- PRINT GARRISON DATA --
         
                if GarrisonDone_Varsc.ldbgar ~= true then
                cat:AddLine('text', "");
                cat:AddLine(
                'text', "My Garrison's Data",
                'justify', "CENTER",
                'isTitle', true
                );
                cat:AddLine(
                'text', "  -------------------------   ",
                'justify', "CENTER"
                )
                    -- Missions in Progress --
                    if ldbmip ~= 0 then
		        cat:AddLine('text', "Missions in Progress|cff007fff = |cffffffff"..ldbmip.."", 'indentation');
                    elseif ldbmip == 0 then
                cat:AddLine('text', "|cffffffffMissions in Progress|cff007fff = |r|cffff0000"..ldbmip.."", 'indentation');
                    end
                    -- Complete Missions --
		        cat:AddLine('text', "Missions Complete|cff007fff = |cff00aa00"..#completeMissionsldb.."", 'indentation');
                    -- Missions Available --
		        cat:AddLine('text', "Missions Available|cff007fff = |r"..#AvailableItemsldb.."", 'indentation');
                cat:AddLine('text', "-------------------")  
                    -- Followers --
                cat:AddLine('text', "|cffFF8000Total |cff62fb71Followers|cff007fff = |r"..numActiveFollowersldb.."|cff007fff/|cffFF8000"..maxFollowersldb.."", 'indentation');
                    -- Followers Available --
                    if ldbavailable > 0 then
		        cat:AddLine('text', "|cff62fb71Followers|r Available|cff007fff = |r"..ldbavailable.."", 'indentation');
                    elseif ldbavailable == 0 then
                cat:AddLine('text', "|cff62fb71Followers|r Available|cff007fff = |r|cff00aa00"..ldbavailable.."", 'indentation');
                    elseif ldbavailable > 25 then
                cat:AddLine('text', "|cff62fb71Followers|r Available|cff007fff = |r|cffff0000"..ldbavailable.."", 'indentation');       
                    end
                    -- Followers Working --
		        cat:AddLine(
            --    'func',
            --    'arg1',
            --    'onEnterFunc',
            --    'onLeaveFunc',
                'text', "|cff62fb71Followers|r Working|cff007fff = |r"..ldbwork.."", 'indentation'
                );
                    -- Followers on Mission --
                    if ldbgfm ~= 0 then
	            cat:AddLine('text', "|cff62fb71Followers|r on Mission|cff007fff = |cffFF8000"..ldbgfm.."", 'indentation');
                    elseif ldbgfm == 0 then
                cat:AddLine('text', "|cff62fb71Followers|r on Mission|cff007fff = |cffff0000"..ldbgfm.."", 'indentation');
                    end
                cat:AddLine('text', "-------------------")
                    -- Ships Missions in Progress --
                    if ldbmips ~= 0 then
                cat:AddLine('text', "Ships in Progress|cff007fff = |r|cffffffff"..ldbmips.."", 'indentation');
                    elseif ldbmips == 0 then
                cat:AddLine('text', "|cffffffffShips in Progress|cff007fff = |r|cffff0000"..ldbmips.."", 'indentation');
                    end
                    -- Ships Missions Complete --
                cat:AddLine('text', "Ships Complete|cff007fff = |r"..#shipCompleteldb.."", 'indentation');
                    -- Ships Mission Available --
                cat:AddLine('text', "Ship Missions Avail|cff007fff =|r "..#shipMissionsldb.."", 'indentation'); 
                cat:AddLine('text', "---------------------")
                    -- Number of Ships --
                cat:AddLine('text', "|cffFF8000Total |cff53aafcShips|cff007fff = |r|cff00aa00"..numActiveShipsldb.."/|cffFF8000"..maxShipsldb.."", 'indentation')
                    -- Ships out on Mission --
                cat:AddLine('text', "|cff53aafcShips at Sea|cff007fff = |r"..ldbatSea.."", 'indentation')
                    -- Ships in Shipyard --
                cat:AddLine('text', "|cff53aafcShips in Dock|cff007fff = |r|cff00aa00"..ldbharbour.."", 'indentation')
                cat:AddLine('text', "------------------")
                
                    -- Garrison Resources and Oil --
		        cat:AddLine('text', "Resources|cff007fff = |rG - "..currentAmount.."", 'indentation')
                cat:AddLine('text', "|cffFF8000Oil - "..currAmount.."", 'indentation')
                cat:AddLine('text', "-------------------")  
                
                        -- Mining Nodes --
                        if ore ~= 0 and herb ~= 0 then
		            cat:AddLine('text', "      Mine:|cff007fff = |cffff0000"..ore.."|cff007fff/|cff00aa00"..ores.."|r  Herbs: |cff007fff = |cffff0000"..herb.."|cff007fff/|cff00aa00"..herbs.."");
                        elseif ore == 0 and herb ~= 0 then
                    cat:AddLine('text', "      Mine: |cff007fff = |r"..ore.."|cff007fff/|cff00aa00"..ores.."|r Herbs: |cff007fff = |cffff0000"..herb.."|cff007fff/|cff00aa00"..herbs.."");
                        end
                        -- Herb Nodes --
                        if herb == 0 and ore ~= 0 then
		            cat:AddLine('text', "      Mine:|cff007fff = |cffff0000"..ore.."|cff007fff/|cff00aa00"..ores.."|r Herbs: |cff007fff = |cffff0000"..herb.."|cff007fff/|cff00aa00"..herbs.."");
                        elseif herb == 0 and ore == 0 then
                    cat:AddLine('text', "      Mine: |cff007fff = |r"..ore.."|cff007fff/|cff00aa00"..ores.."|r Herbs:|cff007fff = |r"..herb.."|cff007fff/|cff00aa00"..herbs.."");  
                        end
                    cat:AddLine('text', " -----------------   ")  
                        
                    
            end
            -- End Garrison Data --
            
            
            
            -- START BUILDING SHIPMENTS DATA and FOLLOWERS ASSIGNED DATA --
            if GarrisonDone_Varsc.ldbbui ~= true then
            cat = mgdldb_tablet:AddCategory('id2', 'garrison2', 'columns', 1, 'text', "")
            cat:AddLine(
                'text', "|cffffffffBUILDINGS and SHIPMENTS",
                'justify', "CENTER",
                'isTitle', true
                );
            cat = mgdldb_tablet:AddCategory('id2a', 'garrison2a', 'columns', 4, 'text', "")
            cat:AddLine('text', "---------", 'text2', "---------", 'text3', "---------", 'text4', "---------")
            cat:AddLine('text', "")
            cat:AddLine(
            'text',     "|cffFF8000Name|r", 
            'text2',    "Follower", 
            'text3',    "|cff62fb71Building", 
            'text4', "|cff1eff00Rdy|r/|cfffeef02Pro|r/|cffe6cc80Max     "
                );
            cat:AddLine('text', "---------", 'text2', "---------", 'text3', "---------", 'text4', "---------")
            
            local l = 0
			    local d = 0
                if GarrisonDone_Varsb then
					for realm, v1 in pairs(GarrisonDone_Varsb) do
						for character, v2 in pairs(v1) do
							for index, data in pairs(v2) do
								l = l + 1
                                    local bname = data.bname
									local buildingID = data.buildingID
									
                                    local color = "|cffE6CC80"
                                        -- Set Class Colors --
                                    if data.class == "Death Knight" then color = "|cffC41F3B"
                                    elseif data.class == "Druid" then color = "|cffFF7D0A"
                                    elseif data.class == "Hunter" then color = "|cffABD473"
                                    elseif data.class == "Mage" then color = "|cff69CCF0"
                                    elseif data.class == "Monk" then color = "|cff00FF96"
                                    elseif data.class == "Paladin" then color = "|cffF58CBA"
                                    elseif data.class == "Priest" then color = "|cffFFFFFF"
                                    elseif data.class == "Rogue" then color = "|cffFFF569"
                                    elseif data.class == "Shaman" then color = "|cff0070DE"
                                    elseif data.class == "Warlock" then color = "|cff9482C9"
                                    elseif data.class == "Warrior" then color = "|cffC79C6E"
                                    end
                                    
                                        -- Follower Assigned to Building Name --
                                    if data.fname == nil then data.fname = "Gone Fishing" 
                                    elseif data.fname == "|cffff0000N" then data.fname = "Gone Fishing" end
                                        -- Follower colour for names --
                                    local col = "|cff1eff00"
                                    if data.fname == "Gone Fishing" then col = "|cfffeef02" 
                                    elseif data.fname ~= "Gone Fishing" then col = "|cff1eff00" end
                                        -- Shorten the Mines for Alliance --
                                    if data.idName == "Lunarfall Excavation" then data.idName = "Excavation" end
                                        -- Shorten the Shipyard for Alliance --
                                    if data.idName == "Lunarfall Shipyard" then data.idName = "Shipyard" end
                                        -- Shorten the Gnomish Gearworks for Alliance --
                                    if data.idName == "Gnomish Gearworks" then data.idName = "Gearworks" end
                                        -- Shorten the Goblin Workshop for Horde --
                                    if data.idName == "Goblin Workshop" then data.idName = "Workshop" end
                                        -- Give Ready and Total a number in case there are none in progress --
                                    if data.ready == nil then data.ready = 0 end
                                    if data.total == nil then data.total = 0 end
                                    local inprog = (data.total - data.ready) -- Count down In progress --
                                       
                                    
                                        -- Set Labels --
                                    if data.total > 0 then
									cat:AddLine(
                                    'text',     (string.format(color..character.."-"..realm..":|r")),
                                    'text2',    (string.format(col..data.fname.."|r")),
                                    'text3',    "|cffE6CC80"..data.idName.."|r",  
                                    'text4',    "|cff1eff00"..data.ready.."|cffffffff -  |cfffeef02"..inprog.."|cffffffff - |cffe6cc80"..data.capacity..""
                                    
                                    )
                                	cat:AddLine('text', "---------", 'text2', "---------", 'text3', "---------", 'text4', "---------")
                                    else
                                    if data.total == 0 then
									cat:AddLine(
                                    'text',     (string.format(color..character.."-"..realm..":|r")),
                                    'text2',    (string.format("|cff1eff00"..data.fname.."|r")),
                                    'text3',    "|cffE6CC80"..data.idName.."|r",
                                    'text4',    "|cff1eff00"..data.ready.."|cffffffff -  |cffff0000"..inprog.."|cffffffff - |cffe6cc80"..data.capacity..""
                                    )
                                	cat:AddLine('text', "---------", 'text2', "---------", 'text3', "---------", 'text4', "---------") 
                                    end
                                end				
					        end 
					    end
				    end 
                end
            end
            
            
            
            -- End Followers Assigned Data -- -- End Building Shipments Data --
            
            -- START MISSION DATA -- 
            if GarrisonDone_Varsc.ldbmiss ~= true then
            cat = mgdldb_tablet:AddCategory('id3', 'garrison3', 'columns', 1, 'text', "")
             cat:AddLine(
                'text', "|cffffffffALL CHARACTERS MISSIONS",
                'justify', "CENTER",
                'isTitle', true
                );
            cat = mgdldb_tablet:AddCategory('id3a', 'garrison3a', 'columns', 4, 'text', "")
            cat:AddLine('text', "---------", 'text2', "---------", 'text3', "---------", 'text4', "---------   ")
            cat:AddLine('text', "")
            cat:AddLine(
            'text',     "|cffFF8000Name",
            'text2',    "|cffFF8000Mission",
            'text3',    "|cffC41F3BType",
            'text4',    "|cffFF8000Time   "
            );
            cat:AddLine('text', "---------", 'text2', "---------", 'text3', "---------", 'text4', "---------   ")
            
                    -- Gather Mission Data --
            GarrisonDoneAltsFrame_Update_Log = 0
		    if GarrisonDoneAltsFrame_Update_Log <= 0 then
			local i = 0
			local b = 0 
				if GarrisonDone_Vars then
					for realm, v1 in pairs(GarrisonDone_Vars) do
						for character, v2 in pairs(v1) do
							for index, data in pairs(v2) do
								i = i + 1
									local name = data.name
									local t = data.endTime - time()
								--	local bar, texture, label, altMGDLabel, object
									local missionID = data.missionID
								--	bar = _G["text"..b]
									
                                    local color = "|cffE6CC80"
                                        -- Set Class Colors --
                                    if data.class == "Death Knight" then color = "|cffC41F3B"
                                    elseif data.class == "Druid" then color = "|cffFF7D0A"
                                    elseif data.class == "Hunter" then color = "|cffABD473"
                                    elseif data.class == "Mage" then color = "|cff69CCF0"
                                    elseif data.class == "Monk" then color = "|cff00FF96"
                                    elseif data.class == "Paladin" then color = "|cffF58CBA"
                                    elseif data.class == "Priest" then color = "|cffFFFFFF"
                                    elseif data.class == "Rogue" then color = "|cffFFF569"
                                    elseif data.class == "Shaman" then color = "|cff0070DE"
                                    elseif data.class == "Warlock" then color = "|cff9482C9"
                                    elseif data.class == "Warrior" then color = "|cffC79C6E"
                                    end
                                    
                                        -- Change Type Colour for Ship and Rare Missions --
                                    local colo = "|cffC41F3B"
                                    if data.isRare == true then colo = "|cff0070FF" 
                                    elseif data.followerTypeID == 2 then colo = "|cffFF8000" end
                                    
                    -- Print Mission Time --
                if t > 60 then
                    if GarrisonDone_Varsc.ldbcomp ~= true then
		            cat:AddLine(
                    'text',	(string.format(color..character.."-"..realm..":")),
                    'text2', "|cffE6CC80"..name:sub(1,15).."",
                    'text3', (string.format(colo..data.type:sub(1,10).."")),
                    'text4', (string.format("%s %02d:%02d", "|cff00FAF6", floor(t/3600), floor(mod(t,3600)/60)))
                    )
                    cat:AddLine('text', "---------", 'text2', "---------", 'text3', "---------", 'text4', "---------")
                    end
                else
                    -- Print Mission Ready --
                if t < 60 then
		            cat:AddLine(
                    'text',	 (string.format(color..character.."-"..realm..":")),
                    'text2', "|cffE6CC80"..name:sub(1,15).."",
                    'text3', "|cffC41F3B"..data.type:sub(1,10).."",
                    'text4', "|cff1EFF0CReady"
                    )
                    cat:AddLine('text', "---------", 'text2', "---------", 'text3', "---------", 'text4', "---------")
                                end
                            end
                        end   
                    end
                end
            end
        end
    end
end

    -- Update LDB Data --
function mgdldb_Update()
--    if mgdldb_frame:IsShown() == true then
--	GarrisonDone_UpdateData(data)
--    GarrisonDone_UpdateShipData(data)
--    GarrisonDone_UpdateFollowerData(data)
--    GarrisonDone_Update(self)
    DEFAULT_CHAT_FRAME:AddMessage("Sir We have Updated The LDB List") -- debug
--    end
end

--mgdldb_frame:SetScript("OnUpdate", mgdLDB_Update) -- update for the faux frame we created for tablet --

            -- Show, Set and Positon the Tooltip Frame used by the Tablet --
function mgdldb.OnEnter(self)
	if not mgdldb_tablet:IsRegistered(self) then
		mgdldb_tablet:Register(self,
			'children', function() mgdldb:Update() end,
			'clickable', true,
			'point', function(mgdldb_frame)
					if mgdldb_frame:GetTop() > GetScreenHeight() / 2 then
						local x = mgdldb_frame:GetCenter()
						if x < GetScreenWidth() / 3 then
	                                                return "TOPLEFT", "BOTTOMLEFT"
                                        	elseif x < GetScreenWidth() * 2 / 3 then
	                                                return "TOP", "BOTTOM"
                                        	else
	                                                return "TOPRIGHT", "BOTTOMRIGHT"
                                        	end
                                	else
	                                        local x = mgdldb_frame:GetCenter()
                                        	if x < GetScreenWidth() / 3 then
	                                                return "BOTTOMLEFT", "TOPLEFT"
                                        	elseif x < GetScreenWidth() * 2 / 3 then
	                                                return "BOTTOM", "TOP"
                                        	else
	                                                return "BOTTOMRIGHT", "TOPRIGHT"
                                        	end
                                	end
				end,
			'dontHook', true
		)
	end
	mgdldb_tablet:Open(self)
end
                -- END TABLET --
                

                -- LDBIcon --
 
LibStub("LibDBIcon-1.0"):Register("GarrisonDone", mgdldb, GarrisonDone_Varsm.minimap)
 
   

function GarrisonDone_minimap(self, mgdldb)
    local GarrisonDone_Varsm = _G.GarrisonDone_Varsm
    local GarrisonDone_Varsc = _G.GarrisonDone_Varsc
	if GarrisonDone_Varsm.minimap.hide == true then
		icon:Hide("GarrisonDone")
	else 
		icon:Show("GarrisonDone")
	end
end


        -- END LDB DISPLAY --     
        